cURL
curl --request DELETE \
--url https://us.infisical.com/api/v1/projects/{projectId}/memberships/identities/{identityId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.infisical.com/api/v1/projects/{projectId}/memberships/identities/{identityId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.infisical.com/api/v1/projects/{projectId}/memberships/identities/{identityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identityMembership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>",
"identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Project Identity Memberships
Delete Identity Membership
Delete project identity memberships
DELETE
/
api
/
v1
/
projects
/
{projectId}
/
memberships
/
identities
/
{identityId}
cURL
Authorizations
An access token in Infisical
Path Parameters
The ID of the project to delete the identity membership from.
The ID of the machine identity to delete the membership from.
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I